Subject: [PATCH v2 05/22] news: Add entry for 'pyproject-build-system'.

From: Marius Bakke <[email-masked]>
Date: Sat, 22 Oct 2022 21:09:13 +0200

* etc/news.scm: Add entry.
---
 etc/news.scm | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

diff --git a/etc/news.scm b/etc/news.scm
index d9ffa036a2..a19eb9aeac 100644
--- a/etc/news.scm
+++ b/etc/news.scm
@@ -6,7 +6,7 @@
 ;; Copyright © 2019, 2020 Konrad Hinsen <[email-masked]>
 ;; Copyright © 2019, 2020, 2021 Julien Lepiller <[email-masked]>
 ;; Copyright © 2019–2022 Florian Pelz <[email-masked]>
-;; Copyright © 2020 Marius Bakke <[email-masked]>
+;; Copyright © 2020, 2022 Marius Bakke <[email-masked]>
 ;; Copyright © 2020, 2021 Mathieu Othacehe <[email-masked]>
 ;; Copyright © 2020 Jan (janneke) Nieuwenhuizen <[email-masked]>
 ;; Copyright © 2020, 2021, 2022 Maxim Cournoyer <[email-masked]>
@@ -26,6 +26,26 @@
 (channel-news
  (version 0)
 
+ (entry (commit "80ad0214389ef682a8037833711397be94b33b97")
+        (title
+         (en "New build system for Python packages"))
+        (body
+         (en "A new @var{pyproject-build-system} has been added.  This
+is a redesign of @var{python-build-system} with support for @dfn{PEP 517}
+and @file{pyproject.toml} files.  It also has built-in support for various
+test frameworks such as @command{pytest} and @code{nosetests}.
+
+There is a complementary @code{python-toolchain} package that comes with
+updated versions of @command{pip}, @command{setuptools} and others.
+
+The build system will eventually be merged into @var{python-build-system}
+but you are encouraged to use it for packages in the @code{guix} channel.
+Third party channels may want to wait until the API is stable (see the
+Guix manual for caveats).
+
+Despite the name, @var{pyproject-build-system} also works with the
+``legacy'' @file{setup.py} format.")))
+
  (entry (commit "c7ba5f38b80433b040d3946b8fc0b1e8621ba30a")
         (title
          (en "New @option{--emulate-fhs} option for @command{guix shell}")
-- 
2.38.0